#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Hamcrest framework for matcher objects
Summary(pl.UTF-8):	Szkielet Hamcrest do obiektów dopasowujących
Name:		python3-pyhamcrest
Version:	2.0.3
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyhamcrest/
Source0:	https://files.pythonhosted.org/packages/source/p/pyhamcrest/PyHamcrest-%{version}.tar.gz
# Source0-md5:	f628e2ff2b6a2518f54b15d70ac34c9d
URL:		https://pypi.org/project/PyHamcrest/
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 5.0
#BuildRequires:	python3-pytest-sugar
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-alabaster >= 0.7
BuildRequires:	sphinx-pdg-3 >= 3.0
%endif
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyHamcrest is a framework for writing matcher objects, allowing you to
declaratively define "match" rules. There are a number of situations
where matchers are invaluable, such as UI validation, or data
filtering, but it is in the area of writing flexible tests that
matchers are most commonly used.

%description -l pl.UTF-8
PyHamcrest to szkielet do pisania obiektów dopasowujących,
pozwalających deklaratywnie definiować reguły dopasowań. Jest wiele
sytuacji, gdzie dopasowywanie jest bezcenne, np. sprawdzanie
poprawności w interfejsie użytkownika, filtrowanie danych, ale
najczęściej jest przydatne w obszarze pisania elastycznych testów.

%package apidocs
Summary:	API documentation for Python pyhamcrest module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona pyhamcrest
Group:		Documentation

%description apidocs
API documentation for Python pyhamcrest module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona pyhamcrest.

%prep
%setup -q -n PyHamcrest-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C doc html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-pyhamcrest-%{version}
cp -a examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python3-pyhamcrest-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE.txt README.rst
%{py3_sitescriptdir}/hamcrest
%{py3_sitescriptdir}/PyHamcrest-%{version}-py*.egg-info
%{_examplesdir}/python3-pyhamcrest-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Apr 27 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyhamcrest.git;a=log;h=master

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> c4d4958
- updated to 2.0.3

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 2c7b741
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5f390e8
- rebuild with python 3.10

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> bff2de8
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 5c957f6
- release 2 (by relup.sh)

* Sat Mar 21 2020 Jakub Bogusz <qboosh@pld-linux.org> 5a91e76
- new

